import { BackendContext } from './backend-context';
export declare class GlobalCanvas {
    private _canvas;
    private _glContext;
    private width;
    private height;
    private retainCount;
    retain(): void;
    release(): void;
    get canvas(): HTMLCanvasElement | OffscreenCanvas;
    get glContext(): BackendContext;
    setCanvasSize(width?: number, height?: number): void;
}
